org.apache.commons.jelly.tags.fmt

## Class FormatDateTag

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.fmt.FormatDateTag

All Implemented Interfaces:
  Tag

    public class FormatDateTag
    extends TagSupport

Support for tag handlers for <formatDate>, the date and time formatting tag in JSTL.

Version:
  $Revision: 155420 $
Author:
  Willie Vu

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`FormatDateTag()` Creates a new instance of FormatDateTag

### Method Summary

Methods
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`static int` `getStyle(java.lang.String style, java.lang.String errCode)`
`void` `setDateStyle(Expression dateStyle)` Setter for property dataStyle.
`void` `setPattern(Expression pattern)` Setter for property pattern.
`void` `setScope(java.lang.String scope)` Setter for property scope.
`void` `setTimeStyle(Expression timeStyle)` Setter for property timeStyle.
`void` `setTimeZone(Expression timeZone)` Setter for property timeZone.
`void` `setType(Expression type)` Setter for property type.
`void` `setValue(Expression value)` Setter for property value.
`void` `setVar(java.lang.String var)` Setter for property var.

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FormatDateTag

    public FormatDateTag()

Creates a new instance of FormatDateTag

### Method Detail

#### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

Evaluates this tag after all the tags properties have been initialized.

Throws:
  `JellyTagException`

#### setValue

    public void setValue(Expression value)

Setter for property value.

Parameters:
  `value` - New value of property value.

#### setType

    public void setType(Expression type)

Setter for property type.

Parameters:
  `type` - New value of property type.

#### setDateStyle

    public void setDateStyle(Expression dateStyle)

Setter for property dataStyle.

Parameters:
  `dataStyle` - New value of property dataStyle.

#### setTimeStyle

    public void setTimeStyle(Expression timeStyle)

Setter for property timeStyle.

Parameters:
  `timeStyle` - New value of property timeStyle.

#### setPattern

    public void setPattern(Expression pattern)

Setter for property pattern.

Parameters:
  `pattern` - New value of property pattern.

#### setTimeZone

    public void setTimeZone(Expression timeZone)

Setter for property timeZone.

Parameters:
  `timeZone` - New value of property timeZone.

#### setVar

    public void setVar(java.lang.String var)

Setter for property var.

Parameters:
  `var` - New value of property var.

#### setScope

    public void setScope(java.lang.String scope)

Setter for property scope.

Parameters:
  `scope` - New value of property scope.

#### getStyle

    public static int getStyle(java.lang.String style,
               java.lang.String errCode)
                        throws JellyTagException

Throws:
  `JellyTagException`